# Add order gift at the end of the list Add order gift (product variant) at the end of the order gift list. Gift is defined by code. code, orderPrice and currencyCode is required. Endpoint: POST /api/orders/gifts Version: 1.0.0 Security: shoptetAccessToken, shoptetPrivateApiToken ## Header parameters: - `Content-Type` (string, required) ## Request fields (application/json): - `data` (object, required) - `data.code` (string, required) code od product variant - `data.currencyCode` (string, required) Currency code. List of available currencies within the e-shop can be found in endpoint GET /api/eshop. - `data.orderPrice` (string,null, required) price which order total price should overcome. to add this gift - `data.includingVat` (boolean) if true, orderPrice is including VAT ## Response 200 fields (application/json): - `data` (object, required) - `data.items` (array, required) - `data.items.id` (integer, required) primary key of gift, should be used when delete gift - `data.items.code` (string, required) identifier of product variant, which will be added as a gift - `data.items.currencyCode` (string, required) Currency code. List of available currencies within the e-shop can be found in endpoint GET /api/eshop. - `data.items.orderPrice` (string,null, required) price which order total price should overcome. to add this gift - `data.items.includingVat` (boolean, required) flag, if price is including VAT - `data.items.priority` (integer, required) define order - `errors` (array,null, required) - `errors.errorCode` (string, required) Short text error identification - `errors.message` (string, required) Descriptive error message - `errors.instance` (string, required) Identification of the entity referenced